2017-11-19 14:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003935Kali Linux[All Projects] New Tool Requestspublic2017-06-13 08:45
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.2 
Summary0003935: smbserver (Part of impacket collection)
DescriptionName: smbserver
Version: 0.9.14
Homepage: https://github.com/CoreSecurity/impacket
Author: Alberto Solino (@agsolino)
Download: https://github.com/CoreSecurity/impacket/releases/download/impacket_0_9_14/impacket-0.9.14.tar.gz
Licence: Apache (https://github.com/CoreSecurity/impacket/blob/impacket_0_9_13/LICENSE)
Description:

## What is Impacket?
Impacket is a collection of Python classes for working with network protocols. Impacket is focused on providing low-level programmatic access to the packets and for some protocols (for instance NMB, SMB1-3 and MS-DCERPC) the protocol implementation itself. Packets can be constructed from scratch, as well as parsed from raw data, and the object oriented API makes it simple to work with deep hierarchies of protocols. The library provides a set of tools as examples of what can be done within the context of this library.

A description of some of the tools can be found at: http://corelabs.coresecurity.com/index.php?module=Wiki&action=view&type=tool&name=Impacket

- - -

## What is wmiexec?

Simple SMB Server example.
Additional InformationRelated bug report: https://bugs.kali.org/view.php?id=3381
Attached Files

-Relationships
related to 0003381resolvedsbrun Wmiexec (Part of impacket collection) 
+Relationships

-Notes

~0006669

sbrun (manager)

the binary impacket-smbserver has been added into the package python-impacket (version 0.9.15-1kali1)
+Notes

-Issue History
Date Modified Username Field Change
2017-03-28 20:54 g0tmi1k New Issue
2017-03-28 20:55 g0tmi1k Relationship added related to 0003381
2017-05-09 16:19 sbrun Assigned To => sbrun
2017-05-09 16:19 sbrun Status new => assigned
2017-05-12 12:17 sbrun Status assigned => resolved
2017-05-12 12:17 sbrun Resolution open => fixed
2017-05-12 12:17 sbrun Note Added: 0006669
2017-06-13 08:45 g0tmi1k Fixed in Version => 2017.2
+Issue History